Subject: bug#39379: 27.0.60; Fix for #38457 broke ido-vertical-mode

From: Dmitry Gutov <[email-masked]>
Date: Tue, 4 Feb 2020 16:19:05 +0300

On 04.02.2020 6:27, Eli Zaretskii wrote:

> I think this is for ido.el to do: it is ido.el that puts the cursor on
> the overlay string, so it is up to it to make sure the cursor can be
> put where it puts the 'cursor' property.  It's a simple change: if the
> text to be displayed starts with a newline, prepend a SPC to it when
> defining the after-string.

But... the change in ido-vertical-mode is simpler still: just add an 
extra argument to concat.

If we do that in ido.do, the reason why would be fairly non-obvious from 
that code. After all, we don't provide any customization points in 
there, hooks or otherwise. So we risk accidentally losing that change in 
some future version.